cascading.flow.planner.iso.expression

## Class ExpressionGraph

- java.lang.Object
- - cascading.flow.planner.iso.expression.ExpressionGraph

- Direct Known Subclasses:
    AccumulatedSourceExpressionGraph, BottomUpConsecutiveBoundariesExpressionGraph, BottomUpNoSplitConsecutiveBoundariesExpressionGraph, BoundarySelJoinCoGroupExpressionGraph, ConsecutiveGroupOrMergeExpressionGraph, ConsecutiveTapsExpressionGraph, DualStreamedAccumulatedExpressionGraph, GroupMergeToTapBoundaryExpressionGraph, GroupTapExpressionGraph, MalformedJoinExpressionGraph, MultiTapGroupExpressionGraph, NoCoGroupJoinTapExpressionGraph, NoGroupJoinMergeBoundaryTapExpressionGraph, NoGroupJoinTapExpressionGraph, NoGroupMergeBoundaryTapExpressionGraph, NoGroupMergeTapExpressionGraph, NoGroupTapExpressionGraph, NoGroupTapExpressionGraph, NoMergeTapExpressionGraph, NonBlockedBlockedJoinExpressionGraph, NonBlockedBlockedJoinJoinExpressionGraph, NonSafeAndSplitAndSyncPipeExpressionGraph, NoOpPipeExpressionGraph, NoSpliceTapExpressionGraph, OnlyPipeExpressionGraph, PlannerLevelPipeExpressionGraph, SplicePipeExpressionGraph, StreamedAccumulatedBoundariesExpressionGraph, StreamedAccumulatedTapsExpressionGraph, StreamedOnlySourcesExpressionGraph, StreamedOnlySourcesExpressionGraph, StreamedSelfJoinSourcesExpressionGraph, StreamedSelfJoinSourcesExpressionGraph, SyncPipeExpressionGraph, TapGroupTapExpressionGraph, TopDownConsecutiveBoundariesExpressionGraph, TopDownSplitBoundariesExpressionGraph, TopDownSplitJoinBoundariesExpressionGraph

      public class ExpressionGraph
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionGraph()`
    `ExpressionGraph(boolean allowNonRecursiveMatching)`
    `ExpressionGraph(ElementExpression... matchers)`
    `ExpressionGraph(SearchOrder searchOrder)`
    `ExpressionGraph(SearchOrder searchOrder, boolean allowNonRecursiveMatching)`
    `ExpressionGraph(SearchOrder searchOrder, ElementExpression... matchers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionGraph` | `arc(ElementExpression lhsMatcher, ScopeExpression scopeMatcher, ElementExpression rhsMatcher)`
    `ExpressionGraph` | `arcs(ElementExpression... matchers)`
    `org.jgrapht.graph.DirectedMultigraph<ElementExpression,ScopeExpression>` | `getGraph()`
    `SearchOrder` | `getSearchOrder()`
    `ExpressionGraph` | `setAllowNonRecursiveMatching(boolean allowNonRecursiveMatching)`
    `boolean` | `supportsNonRecursiveMatch()`
    `static ScopeExpression` | `unwind(ScopeExpression scopeExpression)`
    `void` | `writeDOT(String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionGraph

          public ExpressionGraph()

    - #### ExpressionGraph

          public ExpressionGraph(boolean allowNonRecursiveMatching)

    - #### ExpressionGraph

          public ExpressionGraph(ElementExpression... matchers)

    - #### ExpressionGraph

          public ExpressionGraph(SearchOrder searchOrder,
                         ElementExpression... matchers)

    - #### ExpressionGraph

          public ExpressionGraph(SearchOrder searchOrder)

    - #### ExpressionGraph

          public ExpressionGraph(SearchOrder searchOrder,
                         boolean allowNonRecursiveMatching)

  - ### Method Detail

    - #### getGraph

          public org.jgrapht.graph.DirectedMultigraph<ElementExpression,ScopeExpression> getGraph()

    - #### getSearchOrder

          public SearchOrder getSearchOrder()

    - #### supportsNonRecursiveMatch

          public boolean supportsNonRecursiveMatch()

    - #### setAllowNonRecursiveMatching

          public ExpressionGraph setAllowNonRecursiveMatching(boolean allowNonRecursiveMatching)

    - #### arcs

          public ExpressionGraph arcs(ElementExpression... matchers)

    - #### arc

          public ExpressionGraph arc(ElementExpression lhsMatcher,
                            ScopeExpression scopeMatcher,
                            ElementExpression rhsMatcher)

    - #### writeDOT

          public void writeDOT(String filename)

    - #### unwind

          public static ScopeExpression unwind(ScopeExpression scopeExpression)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.